<!-- <ion-content [fullscreen]="true"> -->
    <div id="container">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-lg justify-center mt-8 mb-10 px-4 overflow-y-auto border rounded-2xl border-color-order">
            <div class="grid grid-cols-12 pt-2 md:pt-4 pb-20 md:px-0 ">
                <div class="col-span-12">
                    <div class="">
                        <div class="mt-3 text-center" *ngIf="orders && orders.length !== 0">
                            <p class="my-order capitalize font-medium">Đơn hàng của tôi</p>
                        </div>
                        <div class="w-full hidden md:block justify-center" *ngIf="orders && orders.length !== 0">
                            <div class="list w-full  items-center orderMd">
                                <div class="w-full grid grid-cols-12 gap-1 my-2 title justify-center border-b font-medium py-3">
                                    <div class="col-span-1 p-0 text-center"><p>Mã ĐH</p></div>
                                    <div class="col-span-2 text-center"><p>Ngày mua</p></div>
                                    <div class="col-span-2 lg:col-span-1 text-center"><p>Ảnh</p></div>
                                    <div class="col-span-2 text-center"><p>Sản phẩm</p></div>
                                    <div class="col-span-2 p-0 text-center mr-3"><p>Tổng tiền</p></div>
                                    <div class="col-span-2 text-center p-0"><p>Trạng thái đơn hàng</p></div>
                                    <div class="col-span-2 text-center p-0"><p>Trạng thái thanh toán</p></div>
                                </div>
                                <div class="max-h-order">
                                    <a [routerLink]="'/my-account/order-history/'+order.node.id" *ngFor="let order of orders; index as i"  
                                    class="w-full grid grid-cols-12 my-2 gap-1 items-center justify-center order">
                                    <div class="col-span-1 text-center p-0">{{ order.node.id }}</div>
                                    <div class="col-span-2 text-center">
                                        {{ order.node.created | date: 'dd/MM/yyyy HH:mm' }}
                                    </div>
                                    <div class="col-span-2 lg:col-span-1 flex justify-center">
                                        <img class="w-20 h-20 rounded-md" [src]=" order?.node?.details[0]?.product?.thumbnail ? order?.node?.details[0]?.product?.thumbnail : '/assets/image/hshg-2.png'"
                                            alt="thumbnail" />
                                    </div>
                                    <div class="col-span-2 name">
                                        <span class="item0">{{
                                            order?.node?.details ? order?.node?.details[0]?.product?.name : ''
                                            }}</span>
                                        và {{order?.node?.details ?  order.node.details.length : 0 }} sản phẩm khác
                                    </div>
                                    <div class="col-span-2 text-center p-0 mr-3">
                                        {{ order.node.totalAmount | number: '0.0-1':'vi'}}đ
                                    </div>
                                    <div class="col-span-2 text-center">
                                        <span *ngIf="order.node.orderStatus == 'PENDING'">Đang xử lí</span>
                                        <span *ngIf="order.node.orderStatus == 'SHIPPING'">Đang giao hàng</span>
                                        <span *ngIf="order.node.orderStatus == 'DELIVERED'">Đã giao hàng</span>
                                        <span *ngIf="order.node.orderStatus == 'CANCELLED'">Đã hủy</span>
                                    </div>
                                    <div class="col-span-2 text-center">
                                        <span *ngIf="!order.node.paymentStatus">Chưa thanh toán</span>
                                        <span *ngIf="order.node.paymentStatus == 'WAIT_FOR_PAY'">Chưa thanh toán</span>
                                        <span *ngIf="order.node.paymentStatus == 'PAID'">Đã thanh toán</span>
                                        <span *ngIf="order.node.paymentStatus == 'CANCELLED'">Đã hủy</span>
                                        <span *ngIf="order.node.paymentStatus == 'FULFILLED'">Đã hoàn thành</span>
                                        <span *ngIf="order.node.paymentStatus == 'PARTIALLY_FULFILLED'">Hoàn thành một phần</span>
                                        <span *ngIf="order.node.paymentStatus == 'UNFULFILLED'">Chưa hoàn thành</span>
                                        <span *ngIf="order.node.paymentStatus == 'READY_TO_CAPTURE'">Sãn sàng</span>
                                        <span *ngIf="order.node.paymentStatus == 'READY_TO_FULFILL'">Sẵn sàng hoàn thành</span>
                                    </div>
                                </a>
                                </div>
                                
                            </div>
                        </div>
                        <a class="md:hidden  w-full orderSm" *ngIf="orders && orders.length !== 0">
                            <div [routerLink]="'/my-account/order-history/'+order.node.id" class=" p-1 my-2"
                                *ngFor="let order of orders; index as i">
                                <div class="mb-3 mx-3 border-b">
                                    #<span>{{ order.node.id }}</span> |
                                    <span>
                                        <span *ngIf="order.node.orderStatus == 'PENDING'">Đang xử lí</span>
                                        <span *ngIf="order.node.orderStatus == 'SHIPPING'">Đang giao hàng</span>
                                        <span *ngIf="order.node.orderStatus == 'DELIVERED'">Đã giao hàng</span>
                                        <span *ngIf="order.node.orderStatus == 'CANCELLED'">Đã hủy</span>
                                    </span> |
                                    <span>
                                        <span *ngIf="order.node.paymentStatus == 'WAIT_FOR_PAY'">Chưa thanh toán</span>
                                        <span *ngIf="order.node.paymentStatus == 'PAID'">Đã thanh toán</span>
                                        <span *ngIf="order.node.paymentStatus == 'CANCELLED'">Đã hủy</span>
                                        <span *ngIf="order.node.paymentStatus == 'FULFILLED'">Đã hoàn thành</span>
                                        <span *ngIf="order.node.paymentStatus == 'PARTIALLY_FULFILLED'">Hoàn thành một phần</span>
                                        <span *ngIf="order.node.paymentStatus == 'UNFULFILLED'">Chưa hoàn thành</span>
                                        <span *ngIf="order.node.paymentStatus == 'READY_TO_CAPTURE'">Sãn sàng</span>
                                        <span *ngIf="order.node.paymentStatus == 'READY_TO_FULFILL'">Sẵn sàng hoàn thành</span>
                                    </span>
                                </div>
                                <div class="grid grid-cols-12  w-full justify-center items-center">
                                    <div class="col-span-4 flex justify-center">
                                        <img class=" h-20  w-20 rounded-md" [src]=" order?.node?.details[0]?.product?.thumbnail ? order?.node?.details[0]?.product?.thumbnail : '/assets/image/hshg-2.png'" alt="thumbnail" />
                                    </div>
                                    <div class="col-span-8">
                                        <p class="w-full font-medium">
                                            <span >{{
                                                order?.node?.details ? order?.node?.details[0]?.product?.name : ''
                                                }}</span>
                                            và {{ order?.node?.details ? order.node.details.length : 0 }} sản phẩm khác</p>
                                        <p class="w-full py-1">{{ order.node.created | date: 'dd/MM/yyyy' }} </p>
                                         <p>   {{ order.node.totalAmount | number: '0.0-1':'vi'}}đ</p>
                                    </div>
                                </div>
                            </div>
                        </a>
                        <div *ngIf="!orders || (orders && orders.length === 0)" class="my-4 text-center">
                            Chưa có dữ liệu
                        </div>
                        <div class="space"></div>
                    </div>
    
                </div>
            </div>
        </div>
        
    </div>
<!-- </ion-content> -->